Loading...
Searching...
No Matches
Halide::Derivative Class Reference

Helper structure storing the adjoints Func. More...

`#include <Derivative.h>`

## Public Types

using | FuncKey = std::pair<std::string, int>

## Public Member Functions

| Derivative (const std::map< FuncKey, Func > &adjoints_in)
| Derivative (std::map< FuncKey, Func > &&adjoints_in)
Func | operator() (const Func &func, int update_id=-1) const
Func | operator() (const Buffer<> &buffer) const
Func | operator() (const Param<> &param) const
Func | operator() (const std::string &name) const

## Detailed Description

Helper structure storing the adjoints Func.

Use d(func) or d(buffer) to obtain the derivative Func.

Definition at line 21 of file Derivative.h.

## Member Typedef Documentation

## FuncKey

using Halide::Derivative::FuncKey = std::pair<std::string, int>

Definition at line 24 of file Derivative.h.

## Constructor & Destructor Documentation

## Derivative() [1/2]

Halide::Derivative::Derivative | ( | const std::map< FuncKey, Func > & | adjoints_in | ) |

inline explicit

Definition at line 26 of file Derivative.h.

## Derivative() [2/2]

Halide::Derivative::Derivative | ( | std::map< FuncKey, Func > && | adjoints_in | ) |

inline explicit

Definition at line 29 of file Derivative.h.

## Member Function Documentation

## operator()() [1/4]

Func Halide::Derivative::operator() | ( | const Func & | func,
|  | int | update_id = -1 ) const

## operator()() [2/4]

Func Halide::Derivative::operator() | ( | const Buffer<> & | buffer | ) | const

## operator()() [3/4]

Func Halide::Derivative::operator() | ( | const Param<> & | param | ) | const

## operator()() [4/4]

Func Halide::Derivative::operator() | ( | const std::string & | name | ) | const

The documentation for this class was generated from the following file:

- src/Derivative.h